package cn.com.ctop.kuaishou.modules.report.service.impl;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportHourlyCampaign;
import cn.com.ctop.kuaishou.modules.report.mapper.KuaishouReportHourlyCampaignMapper;
import cn.com.ctop.kuaishou.modules.report.service.IKuaishouReportHourlyCampaignService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class KuaishouReportHourlyCampaignServiceImpl extends ServiceImpl<KuaishouReportHourlyCampaignMapper, KuaishouReportHourlyCampaign> implements IKuaishouReportHourlyCampaignService {
    @Autowired
    private KuaishouReportHourlyCampaignMapper campaignMapper;

    @Override
    public void replaceBatch(List<KuaishouReportHourlyCampaign> campaigns) {
        campaignMapper.replaceBatch(campaigns);
    }

    public static void main(String[] args) {
        List<String> list = new ArrayList<>();
        if (list == null) {
            return;
        }
        List<String> getList = new ArrayList<>(list.size());
    }
}
